using BepInEx;
using Monkey.Configuration;
using Monkey.Core;
using Monkey.Patching;

namespace Monkey
{

    [BepInPlugin(Settings.PLUGIN_NAMESPACE, Settings.PLUGIN_NAME, Settings.PLUGIN_VERSION)]
    public class MonkeyPlugin : BaseUnityPlugin
    {

        public MonkeyPlugin()
        {
            
        }

        public void Awake()
        {
            ConfigurationManager.Initialize();
            PatchManager.Initialize();
            PluginManager.Initialize();
        }

    }

}
